#!/bin/sh
DB=RAMDB
DB2LOCATION=/opt/ibm/db2/V9.5

echo -n "Enter the name of the database: [$DB]"
read db_input

if [ -z "$db_input" ]
then
   DB=$DB
else
   DB=$db_input
fi

FORCE=NO

echo -n "Type in FORCE to force the drop of the database if it already exists. (default is not to drop it first):"
read db_force

if [ "$db_force" = "FORCE" ]
then
   FORCE=FORCE
fi

echo -n "Enter the install location of DB2: [$DB2LOCATION]"
read db2location_input

if [ -z "$db2location_input" ]
then
   DB2LOCATION=$DB2LOCATION
else
   DB2LOCATION=$db2location_input
fi

CURRENT_USER=`whoami`
DB2CONTAINERLOCATION=~/$CURRENT_USER/NODE0000/$DB

echo -n "Enter the container for the tablespaces. The container must be unique and not shared by other databases."
echo -n "Container : [$DB2CONTAINERLOCATION]"
read db2container_location_input

if [ -z "$db2container_location_input" ]
then
   DB2CONTAINERLOCATION=$DB2CONTAINERLOCATION
else
   DB2CONTAINERLOCATION=$db2container_location_input
fi

if [ "$FORCE" = "FORCE" ]
then
   echo
   echo Dropping Database $DB, not an error if it does not already exist...
   echo
   $DB2LOCATION/bin/db2 DROP DATABASE $DB > output.log 2>&1
   
   echo
   echo Creating Database $DB...
   echo
   $DB2LOCATION/bin/db2 CREATE DATABASE $DB AUTOMATIC STORAGE NO USING CODESET UTF-8 TERRITORY US USER TABLESPACE MANAGED BY DATABASE USING \(FILE \'$DB2CONTAINERLOCATION/USERSPACE1/CNT1\' 8000\) AUTORESIZE YES >> output.log 2>&1
else  
   echo
   echo Creating Database $DB...
   echo
   $DB2LOCATION/bin/db2 CREATE DATABASE $DB AUTOMATIC STORAGE NO USING CODESET UTF-8 TERRITORY US USER TABLESPACE MANAGED BY DATABASE USING \(FILE \'$DB2CONTAINERLOCATION/USERSPACE1/CNT1\' 8000\) AUTORESIZE YES > output.log 2>&1
fi

 
echo
echo Creating tablespaces spaces for $DB...
echo


echo "ALTER TABLESPACE USERSPACE1 DROPPED TABLE RECOVERY OFF;" > ~/dbcreate_zLinux.sql
echo "CREATE BUFFERPOOL IBMDEFAULTBP16K IMMEDIATE SIZE 250 PAGESIZE 16 K;" >> ~/dbcreate_zLinux.sql
echo "CREATE SYSTEM TEMPORARY TABLESPACE TEMPSPACE16K PAGESIZE 16 K MANAGED BY SYSTEM USING ('$DB2CONTAINERLOCATION/TEMPSPACE16K') BUFFERPOOL IBMDEFAULTBP16K;" >> ~/dbcreate_zLinux.sql
echo "CREATE USER TEMPORARY TABLESPACE UTMPSPACE16K PAGESIZE 16 K MANAGED BY SYSTEM USING ('$DB2CONTAINERLOCATION/UTMPSPACE16K') BUFFERPOOL IBMDEFAULTBP16K;" >> ~/dbcreate_zLinux.sql
echo "CREATE REGULAR TABLESPACE USERSPACE16K PAGESIZE 16 K MANAGED BY DATABASE USING (FILE '$DB2CONTAINERLOCATION/USERSPACE16K/CNT1' 1000) AUTORESIZE YES BUFFERPOOL IBMDEFAULTBP16K DROPPED TABLE RECOVERY OFF;" >> ~/dbcreate_zLinux.sql
echo "CREATE REGULAR TABLESPACE INDEXDMS PAGESIZE 4 K MANAGED BY DATABASE USING (FILE '$DB2CONTAINERLOCATION/INDEXDMS/CNT1' 8000) AUTORESIZE YES BUFFERPOOL IBMDEFAULTBP DROPPED TABLE RECOVERY OFF;" >> ~/dbcreate_zLinux.sql
echo "CREATE LARGE TABLESPACE LONGDMS PAGESIZE 4 K MANAGED BY DATABASE USING (FILE '$DB2CONTAINERLOCATION/LONGDMS/CNT1' 8000) AUTORESIZE YES BUFFERPOOL IBMDEFAULTBP DROPPED TABLE RECOVERY OFF;" >> ~/dbcreate_zLinux.sql


$DB2LOCATION/bin/db2batch -d $DB -f ~/dbcreate_zLinux.sql >> output.log  2>&1
$DB2LOCATION/bin/db2batch -d $DB -f RAMSCHEMA_DB2.sql >> output.log 2>&1
$DB2LOCATION/bin/db2batch -d $DB -f bootStrap_DB2.sql >> output.log 2>&1

echo
echo view output.log for the results.
echo
